Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.jobmanager.config
Class TimerJobDefinition

    java.lang.Object
      com.bea.p13n.jobmanager.config.AbstractJobDefinition
          com.bea.p13n.jobmanager.config.TimerJobDefinition

All Implemented Interfaces
  TimerJobDefinitionBean, JobDefinition

    public class TimerJobDefinition

extends AbstractJobDefinition
implements TimerJobDefinitionBean

This is the job definition for a `TimerJob`.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.p13n.jobmanager.JobDefinition
`JobDefinition.JOB_TYPE`

Constructor Summary
`TimerJobDefinition(String name)`

Method Summary
`int` | `getInterval()` What is the run interval in minutes.
`JobDefinition.JOB_TYPE` | `getJobType()`
`void` | `setInterval(int interval)`
`void` | `setNode(String node)` This is unsupported as this job definition can't be configured to run on any one server.
`String` | `toString()`

Methods inherited from class com.bea.p13n.jobmanager.config.AbstractJobDefinition
`createJobListener, createJobParam, destroyJobListener, destroyJobParam, getDescription, getEnabled, getGroup, getJobClass, getJobListeners, getJobParams, getName, getNode, isEnabled, lookupJobListener, lookupJobParam, setDescription, setEnabled, setGroup, setJobClass, setJobParamBeans, setListenerBeans, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.jobmanager.config.TimerJobDefinitionBean
`createJobListener, createJobParam, destroyJobListener, destroyJobParam, getDescription, getEnabled, getGroup, getJobClass, getJobListeners, getJobParams, getName, getNode, lookupJobListener, lookupJobParam, setDescription, setEnabled, setGroup, setJobClass, setName`

Constructor Detail

### TimerJobDefinition

    public TimerJobDefinition(String name)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractJobDefinition`

### getInterval

    public int getInterval()

  Description copied from interface: `TimerJobDefinitionBean`
  What is the run interval in minutes.

  Specified by:
    `getInterval` in interface `TimerJobDefinitionBean`

### setInterval

    public void setInterval(int interval)

  Specified by:
    `setInterval` in interface `TimerJobDefinitionBean`

### getJobType

    public JobDefinition.JOB_TYPE getJobType()

  Specified by:
    `getJobType` in class `AbstractJobDefinition`

### setNode

    public void setNode(String node)

  This is unsupported as this job definition can't be configured to run on any one server.

  Specified by:
    `setNode` in interface `TimerJobDefinitionBean`
  Specified by:
    `setNode` in interface `JobDefinition`
  Overrides:
    `setNode` in class `AbstractJobDefinition`
  Parameters
    `node` - A server name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.